Subject: Problem with Wu-Ftpd Beta 11

From: Mirko Geffken <[email-masked]>
Date: Mon, 11 Nov 1996 19:10:10 +0100

Hello,

I have Linux-ELF (2.0.24), gcc 2.7.2.

When I wanted to compile wu-ftpd.2.4.2-beta11 I got an error, which I
could solve by adding -DDIRENT_ILLEGAL_ACCESS to CFLAGS in the
Makefile.lnx (as someone suggested in newsgroup comp.os.linux.
networking)

After compiling (I need this version because of the virtual function)
and installing the FTP server it worked, except that he doesn't seem
to be able to calculate the number of user currently logged in. When
using ftpcount I always get 0 as the number of logged in users.
It also doesn't seem to be able to set the root to the one specified
with the virtual command.

I would appreciate very much, if someone could tell me where to find a
working Version or tell me how to make my Version work.

Thanks a lot

Mirko

---

From: [email-masked] (Koos van den Hout _U nix and we all_)
Date: Tue, 12 Nov 1996 09:26:31 +0100 (MET)

> with the virtual command.

Sounds like it's not reading the /etc/ftpaccess. Add the switch -a to
the commandline in /etc/inetd.conf.

Also, some distributions want to use /etc/ftpd/ftpaccess while the original
source archive wants to use /etc/ftpaccess.

                                                Grtx KH

-- 
  Koos van den Hout,     Internetter, Unix freak, ISFJ and BBS SysOp at large
  [email-masked] (Home)        BBS Koos z'n Doos (+31-30-6036637 28k8)
  [email-masked] (Work)  <-- finger -l for PGPkey    (+31-30-6056619 14k4)
  http://www.hvu.nl/~koos (WWW)    Looking for a license plate with "RFC 822"
  Unix op z'n NL's : Segment overtreding - kern uitgescheten       KH106-RIPE